#ifndef GESTIONNAIRESOCKETS_H
#define GESTIONNAIRESOCKETS_H

#include "Incopiable.h"
namespace SocketsFlux
{
   //
   // Cas d'exception possibles
   //
   class ErreurChargement {};

   //
   // Singleton de soutien
   //
   class GestionnaireSockets
      : Incopiable
   {
      static GestionnaireSockets singleton;
      GestionnaireSockets(); // throw (ErreurChargement);
   public:
      ~GestionnaireSockets() throw();
      static GestionnaireSockets &get() throw()
         { return singleton; }
   };
}

#endif
